How To Resolve This Dependency?


#1
sudo pacman -Syyu
[sudo] password for rdabra3: 
:: Synchronizing package databases...
 core                     141.0 KiB  13.8M/s 00:00 [######################] 100%
 extra                   1748.2 KiB  11.1M/s 00:00 [######################] 100%
error: failed retrieving file 'community.db' from ftp.free.org : Operation too slow. Less than 1 bytes/sec transferred the last 10 seconds
 community                  4.3 MiB  1188K/s 00:04 [######################] 100%
 multilib                 174.3 KiB  13.1M/s 00:00 [######################] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: python-nautilus and python2-nautilus are in conflict

#2

As far as i see you need to update your mirrors:

sudo pacman-mirrors -f3
sudo pacman -Syyu

#3
[rdabra3@JARVIS ~]$ sudo pacman-mirrors -f3
[sudo] password for rdabra3: 
.: INFO Downloading mirrors from repo.manjaro.org
.: INFO: Querying mirrors - This may take some time
   1.597 Australia      : 01:28: http://manjaro.melbourneitmirror.net/
   0.425 Hong_Kong      : 03:30: http://ftp.cuhk.edu.hk/pub/Linux/manjaro/
   0.379 France         : 01:59: http://ftp.free.org/mirrors/repo.manjaro.org/re
.: INFO Writing mirror list
   France          : http://ftp.free.org/mirrors/repo.manjaro.org/repos/stable
   Hong_Kong       : http://ftp.cuhk.edu.hk/pub/Linux/manjaro/stable
   Australia       : http://manjaro.melbourneitmirror.net/stable
.: INFO Mirror list generated and saved to: /etc/pacman.d/mirrorlist
[rdabra3@JARVIS ~]$ sudo pacman -Syyu
:: Synchronizing package databases...
 core                     141.0 KiB  9.84M/s 00:00 [######################] 100%
error: failed retrieving file 'extra.db' from ftp.free.org : Operation too slow. Less than 1 bytes/sec transferred the last 10 seconds
 extra                   1748.2 KiB  11.2M/s 00:00 [######################] 100%
error: failed retrieving file 'community.db' from ftp.free.org : Operation too slow. Less than 1 bytes/sec transferred the last 10 seconds
 community                  4.3 MiB  11.2M/s 00:00 [######################] 100%
 multilib                 174.3 KiB  12.2M/s 00:00 [######################] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: python-nautilus and python2-nautilus are in conflict

#4

Regarding the conflict check the wiki section of the latest update announcements.


#5

Remove python2-nautilus

pacman -Rs python2-nautilus

It might also removes some AUR packages. Do the update and then try to reinstall the AUR packages.


#6

sudo pacman -Rs python2-nautilus
checking dependencies…
error: failed to prepare transaction (could not satisfy dependencies)
:: nautilus-admin: removing python2-nautilus breaks dependency ‘python-nautilus’


#7
sudo pacman -Rs nautilus-admin

You might want to install nautilus-admin after the update.


#8

This topic was automatically closed 180 days after the last reply. New replies are no longer allowed.